Announcements

Oembed problems

Oembed problems

Hello,
I have a problem with oembed.


When asking for a url like this:
https://open.spotify.com/oembed?url=https://open.spotify.com/playlist/2tfLy11qzGxtvT0RnyjEN9

 

I get an iframe with a URL similar to this:
https://open.spotify.com/embed/playlist-v2/2tfLy11qzGxtvT0RnyjEN9

 

If I try removing the v2 it works perfectly.
Any solution?

All the best!

Reply
4 Replies

Hi there @jhigueras,

 

Thank you for your post here in the Community. 

 

Can you confirm how you get ask the embed code? We suggest that you right click on the playlist name in the desktop app and selecting Share > Copy embed code.

 

Keep mus posted.

 

Cheers!

JeremyModerator
Help others find this answer and click "Accept as Solution".
If you appreciate my answer, maybe give me a Like.
Live, love, laugh and listen to music 🙂

Same problem: When fetching embed code via oembed I get the -v2 code too which is not working. The desktop app gets the right code.
Example: https://open.spotify.com/oembed?url=https://open.spotify.com/playlist/37i9dQZF1DWYtg7TV07mgz?si=OTx1DyDhSPK5q5V1CTR5NQ 

Hey folks,

 

Thanks for your troubleshooting and examples.

 

We'd recommend using the embed codes generated from the Desktop app or the web player. The oEmbed functionality is not something we have direct control over, so we can't give you concrete answers why it's generating code unusable without editing.

 

It would be better if you turn to our Developer support team, who'd be able give you more information why the code is generated in it's current state.

 

Hope you find this info helpful.

AlexModerator
Help others find this answer and click "Accept as Solution".
If you appreciate an answer, maybe give it a Like.
Are you new to the Community? Take a moment to introduce yourself!

Hey all,

 

Had the same issue:

Same problem: When fetching embed code via oembed I get the -v2 code too which is not working.

 

Apparently it is fixed now. Keep in mind that if you have the embed urls stored in you DB you need to refresh them all. Or find & replace the -v2.

Suggested posts